Page MenuHomePhabricator

nodemap: delete older raw data file when creating a new ones
ClosedPublic

Authored by marmoute on Jan 11 2020, 12:03 PM.

Details

Summary

When we write new full files, it replace an older one with a different name. We
add the associated cleanup for the older file to be removed after the
transaction.

We delete all file matching the expected pattern to give use extra chance to
delete orphan files we might have failed to delete earlier.

Note: eventually we won't rewrite all data for each transaction. This is coming
in later changesets.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

marmoute created this revision.Jan 11 2020, 12:03 PM
marmoute updated this revision to Diff 19294.Jan 15 2020, 9:54 AM
martinvonz added inline comments.
mercurial/revlogutils/nodemap.py
152

meant to escape the "." in the regex?

marmoute added inline comments.Jan 31 2020, 4:21 AM
mercurial/revlogutils/nodemap.py
152

yes… good catch ☺

marmoute retitled this revision from nodemap: deleted older raw data file when creating a new ones to nodemap: delete older raw data file when creating a new ones.Jan 31 2020, 10:28 AM
marmoute updated this revision to Diff 19755.
marmoute updated this revision to Diff 19785.Jan 31 2020, 5:58 PM
marmoute updated this revision to Diff 19829.Feb 2 2020, 3:17 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19887.Feb 4 2020, 7:24 PM

rebase to latest default

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.